.gallery { 
	text-align: right;
   	display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 10px;
    padding: 20px 250px; /* 100% width minus 20 pixels */;
	margin-bottom: 100px;
}

.gallery span
{
	margin: 10px;
}

h2 {
    margin-top: 40px;
    text-align: center;
}

.image-grid {
   	display: grid;
    grid-template-columns: repeat(3, 1fr); /* 3 items per row */
    gap: 150px;
    opacity: 0;
	transition: transform 0.2s, box-shadow 0.5s ease;  
    animation: fadeIn 1s forwards; 
}

.image-grid :hover {
   /* transform: scale(.9);*/
	box-shadow: 0 4px 5px rgba(0, 0, 0, 0.3); /* Shadow effect on hover */
}

.gallery-image {
    width: 100%;
    height: auto;
    cursor: pointer;
    transition: transform 0.2s, box-shadow 0.5s ease;  
	padding: 10px;
}

.gallery-image :hover {
   /* transform: scale(.9);*/
	box-shadow: 0 4px 5px rgba(0, 0, 0, 0.3); /* Shadow effect on hover */
}

.lightbox {
    display: none;
    position: fixed;
    z-index: 1000;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8);
    justify-content: center;
    align-items: center;
}

.lightbox-content {
    max-width: 90%;
    max-height: 90%;
}

.close {
    position: absolute;
    top: 20px;
    right: 30px;
    color: white;
    font-size: 40px;
    cursor: pointer;
}

@media (min-width: 2000px) {
	.image-grid {
		gap: 250px;
	}

}
@media (max-width: 1550px) {
	.image-grid {
		gap: 50px;
	}
	.gallery
	{
		padding: 20px 70px;
	}
}
@media (max-width: 930px) {
	.image-grid {
		padding: 0 10px;
		gap: 10px;
	}
	
	.gallery
	{	
		width: 97vw;	
		text-align: right;
		display: grid;
		grid-template-columns: repeat(1, 1fr);
		gap: 0px; 
		margin-bottom: 0px;
		padding: 0; /* 100% width minus 20 pixels */;
	}
	
	.gallery-image {
		padding: 0 0px;
	}
}

@keyframes fadeIn {
    to {
        opacity: 1;
    }
}